;***************************************************************************
;
; Ultima IX - Option settings file
;
; This file should be modified only by experinced users
; Incorrect entries can cause game errors and failures 
; Please be careful when adjusting these settings!     
;
; Please use semi-colons to mark
; comment lines as is done with these lines
;
;***************************************************************************

;___________________________________________________________________________
[Interface]

; Current keymap
Current_Keymap=default.kmp

; Spells are cast as soon as key is hit
QuickSpellTargeting=1

;___________________________________________________________________________
; Recommended Performance Settings:
; CPU Speed  MiddleClip  FarClip  WarnPolyLimit
; P200/233:     2500       2500       2000
;     P266:     2500       3500       2500
; P330/333:     2750       4000       3000
;    P400+:     3000       5000       3500
;___________________________________________________________________________
[Performance]

; Clipping planes
FarClippingPlaneDistance=5000
MiddleClippingPlaneDistance=3000

; Enables 16-bit texture maps
Use16BitTextures=1

; Camera focal length
CameraZoom=600

; Camera distance from Avatar
CameraDistance=400

; The range through which windows can be seen through
MaximumPortalRange=700

; Screen radius of objects culled, and distance culling starts
MaxObjCullSize=10
CullStartDist=1000

; Are particle-system flames allowed?
PoofFlames=1

; Poof optimization level:
; 0 = no optimization
; 1 = non-critical particles calculated but not transformed
; 2 = non-critical particles are neither calculated nor transformed
; 3 = non-critical particles cease incepting children
PoofOptimize=0

; Default clipping plane setting for underground maps
DungeonClippingPlaneDistance=2000
UseCompressedTextures=0
HiResSky=1
DeadPoolLifeTime=60
DeadPoolSize=32
DisplayMetrics=0
MaxMeshesPerFrame=2
MeshCacheDeadTime=15
MeshCacheMemorySize=6291456
MaxInstancesPerFrame=5
UseTerrainDetailLevels=1

;___________________________________________________________________________
[Sound]

; SpeakerConfig has the following values:
;  1 - Headphones
;  2 - Mono
;  3 - Quad
;  4 - Stereo
;  5 - Surround
SpeakerConfig=5

; SpeakerGeometry specifies the angle
; between speakers if you choose Stereo
SpeakerGeometry=20

; The number of simultaneous non-associated (2D, or "faked" 3D) sounds
; allowed at one time
NASoundCount=3

; The number of simultaneous associated (3D) sounds allowed at one time
ASoundCount=9

; Enables virtual 3D sound effexts
Enable3D=1

; The fall off rate with distance of non-associated sounds
; (this is the number of world units at which the sound will
;  be muted - linearly falls off from 0 to this number)
Falloff2D=2200

; The amount to quiet the Avatar's own sounds so they aren't too loud
; (in %.  0 = full volume, 100 = mute)
AvatarOffset=10

; The # of milliseconds to load from CD per frame
StreamDuration=1000

; Turn on and off EAX environmenta audio extensions (Echo's etc)
EnableAcoustics=1

; Master volume, 0 = silent, 100 = max (in percent)
MasterVolume=100

; Volume of music, 0 = silent, 100 = max (in percent)
MusicVolume=75

; Volume of speech, 0 = silent, 100 = max (in percent)
SpeechVolume=80

; How many frames must pass before updating 3D values (position,
; orientation, velocity, etc.)
SkipFrames =4

; Use the DirectSound "notification interface" to let the sound
; system know when to update (rather than polling the play position).
; Default is '0'  (This will theoretically be fixed/work better
; in DirectX 8)
UseNotify=0

; For debugging, use a streamer that reads the *entire*
; sample at once.
DebugStreamers=0

; To get around a bug in Win98 Gold (our famous "crackle" problem),
; offset the "bad" frequency by this amount.  It also doubles as
; the "range around the bad frequency" that we wish to monitor.
; (Ie, using 50 here would make any frequency from 22000kHz to
; 22050kHz be 22000kHz, and any frequency from 22050kHz to
; 22100kHz be 22100kHz.)
CrackleOffset=1

; This value overrides the "minimum perceptible attenuation" distance
; for 3D sounds.  At distances less than this number (meters), the
; sounds will get no louder.  (Increasing this number in effect makes
; all 3D sounds appear louder at the same distance from you.)  The
; dialog that adjusts this value for individual templates ranges from
; 1.0 to 25.0, so I'd recommended playing in the 1.0 to 5.0 area.
MinDist=1.0

; This value specifies how "fast" 3D sounds "roll off" to silence.
; The default (recommended) is 1.0.  Less than that means roll off
; "slower", greater means "faster".  Don't go less than 0.0, and
; I'd advise not to go greater than 1.0, as our balance issue is
; already apparent enough (greater than 1.0 will amplify the issue).
; However, the *A/V guys* (read as "not designers, programmers, or
; anybody else") should tweak this value in attempt to better
; balance 2D and 3D audio.
Rolloff=1.0
DeviceName=Speakers (Realtek High Definition Audio)
UseSFXCache=1
SFXCacheUsesPool=1
SFXCacheSize=3072
SFXCacheExpireTime=30000

;___________________________________________________________________________
[Lighting]

; Allows flickering lightsources
Flicker=1

; Max distance flickering lights effect
FlickerRange=500

; Max # of lights used at any time (sorted by distance from camera)
MaxCount=100

; How many frames between each lighting system update
SkipFrames=0
AvatarSkipFrames=0

; How far a light moves before it relights its area
MoveDelta=5

; 3 = Highest, 2 = Regular, 1 = Low, 0 = Poor
LightQuality=3

; Allows water depth to affect lighting
WaterShading=1

; Allows trees to cast shadows
TreeShadows=1

;___________________________________________________________________________
[Game]

; 0=Run, 1 = Walk
DefaultToWalking=1

; 2400 clock
StartTimeOfDay=600

; Lag before tool tips shows up
TooltipDelayTime=0

; Durration of tool tip
TooltipDisplayTime=999999999

; 2 = D3D, 3 = Glide
Game Rasterizer=3

; Game starts with 2=None, 1 = Minimum, 0 = Full
Show GUI=0

; Where to find the Flics
MoviePath=C:\Program Files (x86)\GOG.com\Ultima IX - Ascension\Movies

; Are LOD levels set by distance from the Avatar, or camera?
LODsFromAvatar=0

; Is Z ignored for LODs?
IgnoreZforLODs=1

Start=0

;
AttackHoldDuration=2000

; Language
Language=En

; Speed Factor
SpeedFactor=5

; Set to disable Windows Key, Alt-Tab, Ctrl-Esc
DisableWinKey=1

; Set to 1 to force alpha textures to draw as 4444 (for 3dfx in D3D)
Force4444Alpha=0
GameScreenWidth=800
GameScreenHeight=600
GameScreenDepth=16
D3DGUID= 
DDGUID= 
GameMipMapLevel=1
KeyboardMouseDistance=30
PromptForDevice=0
MultiPassChromakey=2
LODScale=1.0
SaveStatePath=0

;___________________________________________________________________________
[Conversation]

EnableAudio=1
; Start of game settings

EnableText=1
; 0=Audio off, 1 = On

EnableConvoReplies=1
; 0=Avatar doesn't echo chosen responses, 1 = does

;___________________________________________________________________________
[System]

; 1 = allow exception handling (traps errors), 0 = just crash
TrapErrors=0

; 1 = After trapping an exception, show the crash; 0 = just say "game over"
ShowErrors=0

;___________________________________________________________________________
[Video]
GammaRed=1.0
GammaGreen=1.0
GammaBlue=1.0

;___________________________________________________________________________


